<?php
	include("config.php");
	$username=mysqli_real_escape_string($mysqli,$_POST["txtId"]);
	$nama_lengkap=mysqli_real_escape_string($mysqli,$_POST["txtNama"]);
	$sandi1=mysqli_real_escape_string($mysqli,$_POST["txtSandi1"]);
	$sandi2=mysqli_real_escape_string($mysqli,$_POST["txtSandi2"]);
	$level=mysqli_real_escape_string($mysqli,$_POST["txtLevel"]);
	$id_desa=mysqli_real_escape_string($mysqli,$_POST["txtDesa"]);
	
	$q=mysqli_query($mysqli,"SELECT * FROM m_user WHERE username='$username'");
	if(mysqli_num_rows($q)>0){
		msgbox("ID Pengguna $username tidak dapat digunakan karena sudah ada dalam database!");
		echo "<script language='javascript'>history.back();</script>";
		die();
	}

	if($sandi1 != $sandi2){
		msgbox("Kedua sandi tidak sama!");
		echo "<script language='javascript'>history.back();</script>";
		die();
	}

	$sql="INSERT INTO m_user VALUES (null, '$username', PASSWORD('$sandi2'), '$nama_lengkap', '$level', '$id_desa')";
	
	$qry=mysqli_query($mysqli,$sql);
	
	if($qry){
	
		msgbox("Data pengguna berhasil disimpan");
		lempar("admin.php?page=ls_user&page_desc=Daftar Pengguna");
	}else{
		
		msgbox("Error: ".mysqli_error($mysqli));
		lempar("admin.php?page=ls_user&page_desc=Daftar Pengguna");
	}
	
	
	
?>